%define toolbox_release 1
%define aix_version 6.1

Name: libmpc-aix
Version: 1.0.3
Release: 15
Group: Development/Tools
License: LGPL-3.0-or-later
URL: http://www.multiprecision.org/
Summary: AIX Toolbox libmpc compatibility libraries
BuildArch: fat

# Ensure that old libmpc name isn't used
Obsoletes: libmpc

BuildRequires: cpio-gnu
BuildRequires: pase-build-tools

Source0: https://public.dhe.ibm.com/aix/freeSoftware/aixtoolbox/RPMS/ppc/libmpc/libmpc-%{version}-%{toolbox_release}.aix%{aix_version}.ppc.rpm

%description
AIX Toolbox libmpc compatibility libraries needed for gcc-aix.

%install
cd %{buildroot}

mkdir %{buildroot}/tmp
cd %{buildroot}/tmp

rpm2cpio %{SOURCE0} | cpio -idmv

mkdir -p %{buildroot}/%{_libdir}/aix
cd %{buildroot}%{_libdir}/aix

ar -X32 x %{buildroot}/tmp/opt/freeware/lib/libmpc.a libmpc.so.3
fix-rpath libmpc.so.3 %{_libdir}/aix:/usr/lib # original is too short for /QOpenSys/usr/lib

strip -X32 -e libmpc.so.3
ar -X32 crlo libmpc.a libmpc.so.3

rm libmpc.so.3

cd %{buildroot}
rm -r %{buildroot}/tmp

%files
%defattr(-, qsys, *none)

%{_libdir}/aix/libmpc.a

%changelog
* Tue Mar 30 2021 Kevin Adler <kadler@us.ibm.com>
- Move AIX-style .a compat libraries to /QOpenSys/pkgs/lib/aix

* Tue Dec 3 2019 Abdirahim Musse <abdirahim.musse@ibm.com> 
- Use SPDX license identifier

* Fri Dec 14 2018 - Kevin Adler <kadler@us.ibm.com>
- Use libmpc-aix name
- Ensure old name is not used

* Fri Mar 30 2018 - Kevin Adler <kadler@us.ibm.com>
- We build libmpc now, so remove svr4-style repack packages
- This package is now only needed to provide 32-bit AIX compat libs for GCC

* Sat Mar 03 2018 - Kevin Adler <kadler@us.ibm.com>
- Fix repacked binaries' LIBPATH so we can use automatic dependency generation
- Build all subpackages in one shot since we can now have subpackages with fat architecture

* Wed Dec 20 2017 - Kevin Adler <kadler@us.ibm.com>
- Fix XCOFF dependency lines to use new square bracket format

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Merge libmpc-aix-ibmi.spec in to this spec

* Fri Sep 15 2017 - Kevin Adler <kadler@us.ibm.com>
- Only package files in /opt/freeware; don't mess with /usr
- Add libmpc-aix-ibmi.spec to repackage AIX binaries how we want them built

* Thu Apr 20 2017 - Kevin Adler <kadler@us.ibm.com>
- Add spec file
